<?php

function mokar_default_meta_data() {
    $mokar_layout = mokar_layouts();
    $mokar_sidebar_position = mokar_sidebar_position();
    $mokar_sidebars = mokar_sidebars();
    $mokar_header_layout = mokar_header_types();
    $mokar_footer_layout = mokar_footer_types();
    $mokar_popup_layout = mokar_popup_layouts();
    $mokar_block_name = mokar_get_block_name();
    $mokar_block_name['default'] ='default';
    $mokar_slider = mokar_rev_sliders_in_array();
    return array(
        // header
        'header' => array(
            'name' => 'header',
            'title' => esc_html__('Header Layout', 'mokar'),
            'type' => 'select',
            'options' => $mokar_header_layout,
            'default' => 'default'
        ),
        //footer
        'footer' => array(
            'name' => 'footer',
            'title' => esc_html__('Footer Layout', 'mokar'),
            'type' => 'select',
            'options' => $mokar_footer_layout,
            'default' => 'default'
        ),  
        // Breadcrumbs
        'breadcrumbs' => array(
            'name' => 'breadcrumbs',
            'title' => esc_html__('Breadcrumbs', 'mokar'),
            'desc' => esc_html__('Hide breadcrumbs', 'mokar'),
            'type' => 'checkbox',
        ),            
        'page_title' => array(
            'name' => 'page_title',
            'title' => esc_html__('Page Title', 'mokar'),
            'desc' => esc_html__('Hide Page Title', 'mokar'),
            'type' => 'checkbox'
        ),
        'show_header' => array(
            'name' => 'show_header',
            'title' => esc_html__('Header', 'mokar'),
            'desc' => esc_html__('Hide header', 'mokar'),
            'type' => 'checkbox'
        ),
        //  Show Footer
        'show_footer' => array(
            'name' => 'show_footer',
            'title' => esc_html__('Footer', 'mokar'),
            'desc' => esc_html__('Hide footer', 'mokar'),
            'type' => 'checkbox'
        ),
        //sidebar position
        'left-sidebar' => array(
            'name' => 'left-sidebar',
            'type' => 'select',
            'title' => esc_html__('Left Sidebar', 'mokar'),
            'options' => $mokar_sidebars,
            'default' => 'default'
        ),
        'right-sidebar' => array(
            'name' => 'right-sidebar',
            'type' => 'select',
            'title' => esc_html__('Right Sidebar', 'mokar'),
            'options' => $mokar_sidebars,
            'default' => 'default'
        ),
        // layout
        'layout' => array(
            'name' => 'layout',
            'title' => esc_html__('Layout', 'mokar'),
            'type' => 'select',
            'options' => $mokar_layout,
            'default' => 'default'
        ),
        'hide_f_info' => array(
            'name' => 'hide_f_info',
            'title' => esc_html__('Hide footer info', 'mokar'),
            'desc' => esc_html__('Hide footer info', 'mokar'),
            'type' => 'checkbox'
        ), 
        'remove_space_br' => array(
            'name' => 'remove_space_br',
            'title' => esc_html__('Remove top space', 'mokar'),
            'desc' => esc_html__('Remove top space', 'mokar'),
            'type' => 'checkbox'
        ),   
        'remove_space' => array(
            'name' => 'remove_space',
            'title' => esc_html__('Remove bottom space', 'mokar'),
            'desc' => esc_html__('Remove bottom space', 'mokar'),
            'type' => 'checkbox'
        ), 
        'show_slider' => array(
            'name' => 'show_slider',
            'title' => esc_html__('Show Revolution Slider', 'mokar'),
            'desc' => esc_html__('Enable Slider', 'mokar'),
            'type' => 'checkbox'
        ), 
        'category_slider' => array(
            'name' => 'category_slider',
            'title' => esc_html__('Select Revolution Slider', 'mokar'),
            'desc' => esc_html__('Slider will show if you show revolution slider', 'mokar'),
            'type' => 'select',
            'options' => $mokar_slider,
            'default' => 'default'
        ),        
    );
}

